unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
const ilosc :Integer =10;
var i :Integer;
begin
//for
for i:=1 to ilosc do ShowMessage('for: '+IntToStr(i));

//repeat
i:=1;
if ilosc>=i then
  repeat
    ShowMessage('repeat: '+IntToStr(i));
    Inc(i)
  until i>ilosc;

//while
i:=1;
while i<=ilosc do
  begin
  ShowMessage('while: '+IntToStr(i));
  Inc(i);
  end;
end;

end.
